Android studio gradle 下载依赖出错[复制链接]

Android studio 下载第三方依赖的时候总会报failed to resolve的错,win7的,as2的,请问有遇到过的大神吗,求救,搞了很久了,网上的方法都不奏效。
Error:(25, 13) Failed to resolve: com.google.code.gson:gson:2.3

jat 1225查看 · 7回复 · 2018-12-2 22:44 有用(0
共7个回答
大飞哥哥 2018-12-3 10:28 回复

这个需要翻墙,我当时没有,是用的手机开了一个热点下的

jat 2018-12-3 17:14 回复
大飞哥哥 发表于 2018-12-3 10:28
这个需要翻墙,我当时没有,是用的手机开了一个热点下的

怎么开热点下的,连手机得网络,手机翻墙的意思吗
lilongfei0504 2018-12-4 10:40 回复

json不需要第三方包吧,java本身就有 JSON类库,直接用就行,json还用第三方,很会额外增加apk大小

lilongfei0504 2018-12-4 10:43 回复

如果你一定要添加这个类库,你可以在 Android Studio 的project structure 页面 的dependencies里添加,我刚刚用我的studio 搜索了下com.google.code.gson, 可以找到,不过版本号是2.8.5. 所以有可能你的版本号不对,找不到

无尘粉笔 2018-12-19 20:06 回复

不需要翻墙吧,我的就可以下载,可能是你的版本不对吧

经济 2019-1-28 11:40 回复

Android studio 有些数据包必须要用翻墙下载,或者把别人下载的包文件整合进来

fengyu0114 2019-9-18 17:42 回复

File->Setting->Bulid,Execution,Deployment->Gradle->Android Studio->把方框勾选上试一下

需要登入后才可以评论 登录 | 立即注册